/* Roof Rack

ToDo: 
		- Bohrungen in Seitenteilen fehlen! :)

Infos:
		- The XL-Version fits the Axial Jeep Rubicon Unlimited SCX10

*/

include <../../Modules/Module_Rounded_Cube.scad>;
include <../../Modules/Write.scad_GitHub_2015-03-22/Write.scad>;

$fn=10;
gW=132+4; // Laenge
gI=115; // Laenge der Stege (Aussparungen)
gL=119; // Breite
gDiamM3=2.8; // der SCX10 Jeep Rubicon hat hier 2.6er (Holz)Schrauben
gHoleDistanceL=123; // passend für SCX10 Jeep Wranger Rubicon
gHoleDistanceB=106; // passend für SCX10 Jeep Wranger Rubicon
gAnzahlStege=8;
gMS=2.8;

/* Bottom Part */
if (1)
union()
{
	/* Bottom Plate */
	difference()
	{
		roundedCube(gW, gL, gMS, 3.0); // Grundplatte
		roundedCube(gI, gL-10, gMS, 3.0); // innere Aussparung für Stege
		translate([gHoleDistanceL/2,   gHoleDistanceB/2, 0]) 	cylinder(d=gDiamM3,h=gMS, center=true);
		translate([-gHoleDistanceL/2,  gHoleDistanceB/2, 0]) 	cylinder(d=gDiamM3,h=gMS, center=true);
		translate([gHoleDistanceL/2,  -gHoleDistanceB/2, 0]) 	cylinder(d=gDiamM3,h=gMS, center=true);
		translate([-gHoleDistanceL/2, -gHoleDistanceB/2, 0])	cylinder(d=gDiamM3,h=gMS, center=true);
		
	}

	/* Überrollbügel über den Strahlern */
	if (0)
	{
		union()
		{
			translate([-gW/2, -gL/2, 55])
			cube([20, gL, 2.0]);
			translate([-gW/2+20/2, gL/2-1,+55/2])
			rotate([90, 0, 0])
			cube([20,55,2.0], center=true);
			translate([-gW/2+20/2, -(gL/2-1),+55/2])
			rotate([90, 0, 0])
			cube([20,55,2.0], center=true);
		}
		translate([-gL/2+6, 0, 55+2])
		rotate([0,0,90])
		linear_extrude(height=1, convexity=3) text("RCSB.de", size=10.0, font="Tahoma", halign="center", valign="center");
	}

	/* Grid (der Laenge nach) */
	y1=-gL/2+5; y2=gL/2-5; ys=(y2-y1)/gAnzahlStege;
	for (yi=[y1:ys:y2])
	translate([0, yi, 0]) cube([gI,3, gMS], center=true);

	/* Grid (der Breite nach) */
	x1=-gI/2+5+5+1; x2=gI/2-5; xs=(x2-y1)/gAnzahlStege;
	for (xi=[x1:xs:x2])
	translate([xi, 0, 0]) cube([3,gL-0*4*2.0,gMS], center=true);

	/* Side Bars */
	for (a=[0, 180])
	rotate([0, 0, a])
	translate([0,gL/2-1,20/2])
	rotate([90,0,0])
	difference()
	{
		union()
		{
			roundedCubeWithCornerDiameter(gW, 20, 2.0, 0.0,0.0,5.0,5.0);

			 // verstärkungsdreiecke
			#if (1)
			for (xi=[gW/2-gMS/2, (-15*0+gW/2-gMS/2)*-1])
			translate([xi, -(18/2), 0])
			rotate([0,0,-90])
			triangle (18, 18, gMS);
		}
		if (0) // loch 1 in den Seiten
		translate([-(gL/2-2),5,0])	cylinder(d=gDiamM3, h=2.0, center=true);
			
		if (0) // mit oder ohne Schriftzug
		translate([gW/3*0,-2,0])
		rotate([0,180,0])
		write("WWW.RCSB.DE", font="/Users/heiko/Documents/3D-Modelle/Modules/Write.scad_GitHub_2015-03-22/stencil_TNH.dxf", space=1.2, h=10.0, t=23, center=true);
		
		if (1) // Aussparungen an den Seiten
		{
			for (xi=[-56:14:+56])
			translate([xi, 0, 0])
			roundedCubeWithCornerDiameter(10, 14, 2.0, 9.0, 9.0, 9.0, 9.0);
		}
		
	}
	

}


/* Spacers */
if (0)
for (y=[0,20,40,60])
translate([-80,y,-4/2/2])
{
	difference()
	{
		cylinder(d=10,h=4, center=false);
		cylinder(d=3.4,h=4, center=false);
	}
}



