/* Roof Rack

*/

include <../../Modules/Module_Rounded_Cube.scad>;

$fn=50;
gW=115;
gI=115-20;
gL=105+2;
gDiamM3=3.4;


/* Bottom Part */
if (1)
union()
{
	/* Bottom Plate */
	difference()
	{
		roundedCube(gW, gL, 2.0, 3.0);
		roundedCube(gI, gL-10, 2.0, 3.0);
		translate([gL/2,78/2,0]) 	cylinder(d=gDiamM3,h=2.0, center=true);
		translate([-gL/2,78/2,0]) 	cylinder(d=gDiamM3,h=2.0, center=true);
		translate([gL/2,-78/2,0]) 	cylinder(d=gDiamM3,h=2.0, center=true);
		translate([-gL/2,-78/2,0])	cylinder(d=gDiamM3,h=2.0, center=true);
	}

	/* Überrollbügel über den Strahlern */
	if (0)
	{
		union()
		{
			translate([-gW/2, -gL/2, 55])
			cube([20, gL, 2.0]);
			translate([-gW/2+20/2, gL/2-1,+55/2])
			rotate([90, 0, 0])
			cube([20,55,2.0], center=true);
			translate([-gW/2+20/2, -(gL/2-1),+55/2])
			rotate([90, 0, 0])
			cube([20,55,2.0], center=true);
		}
		translate([-gL/2+6, 0, 55+2])
		rotate([0,0,90])
		linear_extrude(height=1, convexity=3) text("RCSB.de", size=10.0, font="Tahoma", halign="center", valign="center");
	}

	/* Grid */
	cube([gI,3,2.0], center=true);
	translate([0, 10, 0]) cube([gI,3,2.0], center=true);
	translate([0, 20, 0]) cube([gI,3,2.0], center=true);
	translate([0, 30, 0]) cube([gI,3,2.0], center=true);
	translate([0, 40, 0]) cube([gI,3,2.0], center=true);
	translate([0, -10, 0]) cube([gI,3,2.0], center=true);
	translate([0, -20, 0]) cube([gI,3,2.0], center=true);
	translate([0, -30, 0]) cube([gI,3,2.0], center=true);
	translate([0, -40, 0]) cube([gI,3,2.0], center=true);

	/* Side Bars */
	translate([0,gL/2-1,20/2])
	rotate([90,0,0])
	difference()
	{
		roundedCubeWithCornerDiameter(gW, 20, 2.0, 0.0,0.0,5.0,5.0);
	//	roundedCubeWithCornerDiameter(gW-5, 20-4, 2.0, 0.0,0.0,5.0,5.0);
		translate([-(gL/2-2),5,0])	cylinder(d=gDiamM3, h=2.0, center=true);
		//translate([+(gL/2-2),5,0]) 	cylinder(d=gDiamM3, h=2.0, center=true);
		//translate([-(gL/2-2),-1,0]) cylinder(d=3.2, h=2.0, center=true);
			translate([0,0,10])
			rotate([0,180,0])
			linear_extrude(height=23, convexity=3) text("RCSB.de", size=10.0, font="Tahoma", halign="center", valign="center");
	}
	translate([0,-gL/2+1,20/2])
	rotate([90,0,0])
	difference()
	{
		roundedCubeWithCornerDiameter(gW, 20, 2.0, 0.0,0.0,5.0,5.0);
		translate([-(gL/2-2),5,0]) cylinder(d=gDiamM3, h=2.0, center=true);
		//translate([+(gL/2-2),5,0]) cylinder(d=gDiamM3, h=2.0, center=true);
		//translate([-(gL/2-2),-1,0]) cylinder(d=3.2, h=2.0, center=true);
			translate([0,0,-10])
			rotate([0,0,0])
			linear_extrude(height=23, convexity=3) text("RCSB.de", size=10.0, font="Tahoma", halign="center", valign="center");
	}

}


/* Spacers */
if (0)
for (y=[0,20,40,60])
translate([-70,y,0])
{
	difference()
	{
		cylinder(d=10,h=4, center=false);
		cylinder(d=3.4,h=4, center=false);
	}
}



